<?php

namespace USKit\Base\ViewModels;

use Infomaker\Everyware\Base\Models\Page as PageModel;
use Infomaker\Everyware\Support\GenericPropertyObject;

/**
 * Class PageTemplate
 * @package USKit\Base
 */
class BasePage extends Page
{
    public function __construct(PageModel $page)
    {
        $propertyObject = new GenericPropertyObject();
        $propertyObject->fill([
            'page' => $page,
        ]);

        parent::__construct($propertyObject);
    }
}
